Bug 101311 - [patch] WITHOUT_LIBIMAKE useless in security/gnupg
[patch] WITHOUT_LIBIMAKE useless in security/gnupg
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Jun Kuriyama
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-03 11:10 UTC by gnupgaug06
Modified: 2006-09-07 03:19 UTC (History)
0 users

See Also:


Attachments
file.diff (269 bytes, patch)
2006-08-03 11:10 UTC, gnupgaug06
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description gnupgaug06 2006-08-03 11:10:14 UTC
The WITH_LIBICONV config knob does not work if libiconv.so is actually
installed on the system. In this case, it is not possible to build gnupg
without using this libiconv.

See the patch below for the reason - and fix.

Also, there should probably be a config knob for WITH_LIBUSB.

How-To-Repeat: 
make :-)
Comment 1 Edwin Groothuis freebsd_committer 2006-08-03 11:22:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kuriyama

Over to maintainer 

http://www.freebsd.org/cgi/query-pr.cgi?pr=101311 

Adding to audit trail from misfiled PR ports/101317:

Date: Thu, 03 Aug 2006 21:33:04 +0900
Comment 2 Jun Kuriyama freebsd_committer 2006-09-07 03:19:34 UTC
State Changed
From-To: open->closed

Committed, thanks!